submissions_metadata_objects_list
const url = 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects?include_metadata=false';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects?include_metadata=false' \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all the submission metadata objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”When true, each metadata object in the page includes a metadata_items array with the same item shape as GET /api/submissions/{id}/metadata_objects/{moid}/metadata (full unpaginated field list per metadata object). The existing metadata {count, related} field is unchanged.
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Type of the metadata object
Responses
Section titled “Responses”object
OpenAPI response for metadata object list items.
Documents the optional metadata_items array returned when
include_metadata=true.
object
Return summary information for an object.
Parameters
obj : SubmissionMetadataObject
The object for which metadata is being retrieved. Expected to have
submission, id, and metadata attributes.
Returns
dict A dictionary containing the summary fields and their values.
object
Return the number of metadata of an object, and where to list them.
Parameters
obj : SubmissionMetadataObject
The object for which metadata is being retrieved. Expected to have
submission and id attributes.
Returns
dict The count of metadata and the link to their list.
object
Determine whether the metadata object is valid based on completeness and cross-validation fields.
Parameters
obj : SubmissionMetadataObject The object for which the validity is being determined.
Returns
bool True if valid, False otherwise.
Retrieve information about the associations linked to a given metadata object.
Parameters
obj : SubmissionMetadataObject
The metadata object for which to retrieve association information.
Expected to have an associations GenericRelation to SubmissionAssociationObject.
Returns
dict A dictionary containing:
- “count” (int): the number of SubmissionAssociations this metadata object participates in.
- “related” (str): the URL to retrieve the detailed list of associated SubmissionAssociations.
object
Retrieve external identifiers linked to this metadata object.
Parameters
obj : SubmissionMetadataObject The metadata object.
Returns
list[dict] Serialized external identifiers.
object
Present only when include_metadata=true. Same item shape as GET /api/submissions/{id}/metadata_objects/{moid}/metadata (full unpaginated field list per metadata object).
Serializer for the submission metadata.
object
Get the field information for the submission metadata.
Parameters
obj : SubmissionMetadata The submission metadata object.
Returns
dict The field information.
object
object
Get source information from the source_metadata if it exists.
Parameters
obj : SubmissionMetadataValue SubmissionMetadataValue instance
Returns
dict or None Source information including object type, id, and name if available None if no source_metadata exists
object
Serializer for the SubmissionMetadataValue model.
object
Get source information from the source_metadata if it exists.
Parameters
obj : SubmissionMetadataValue SubmissionMetadataValue instance
Returns
dict or None Source information including object type, id, and name if available None if no source_metadata exists
object
Return the interactor information of the object’s creator.
Parameters
obj : SubmissionMetadata The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SubmissionMetadata The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter_name>", "code": "invalid", "message": "\"<parameter_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "submission", "code": "not_allowed", "message": "You are not a member of this submission." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
